> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get maintenances



## OpenAPI

````yaml /openapi/main.json get /v1/crm/maintenances/
openapi: 3.0.3
info:
  title: Yume API — Основное
  version: 1.0.0
  description: Базовые сущности и бизнес-логика CRM.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/maintenances/:
    get:
      tags:
        - maintenances
      summary: Get maintenances
      operationId: maintenances_list
      parameters:
        - in: query
          name: fact_maintenance_date__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: fact_maintenance_date__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: fact_maintenance_date__isnull
          schema:
            type: boolean
        - in: query
          name: id
          schema:
            type: integer
        - in: query
          name: id__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: inventory
          schema:
            type: integer
        - in: query
          name: inventory__category
          schema:
            type: integer
        - in: query
          name: inventory__category__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: inventory__group
          schema:
            type: integer
        - in: query
          name: inventory__group__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: inventory__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: maintenance_date__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: maintenance_date__date__lte
          schema:
            type: string
            format: date
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: period_type
          schema:
            type: integer
            nullable: true
            enum:
              - 0
              - 1
          description: |-
            * `0` - По интервалу
            * `1` - По пробегу
        - in: query
          name: resource
          schema:
            type: number
        - in: query
          name: responsible
          schema:
            type: integer
        - in: query
          name: responsible__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: state
          schema:
            type: integer
        - in: query
          name: state__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: state__isnull
          schema:
            type: boolean
        - in: query
          name: type
          schema:
            type: integer
            enum:
              - 0
              - 1
          description: |-
            * `0` - Разовое
            * `1` - Периодическое
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInventoryMaintenanceList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedInventoryMaintenanceList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/InventoryMaintenance'
    InventoryMaintenance:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
          nullable: true
        state:
          type: integer
          nullable: true
        interval:
          type: string
          nullable: true
        inventory:
          allOf:
            - $ref: '#/components/schemas/CarInventory'
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/Type56bEnum'
          minimum: -32768
          maximum: 32767
        period_type:
          nullable: true
          minimum: -32768
          maximum: 32767
          oneOf:
            - $ref: '#/components/schemas/PeriodTypeEnum'
            - $ref: '#/components/schemas/NullEnum'
        maintenance_date:
          type: string
          format: date-time
        distance_threshold:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        time_threshold:
          type: string
          nullable: true
        responsible:
          type: integer
        total_distance:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
        distance:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
        comment:
          type: string
          readOnly: true
          nullable: true
        fact_maintenance_date:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        end_total_distance:
          type: integer
          readOnly: true
          nullable: true
        resources:
          type: array
          items:
            $ref: '#/components/schemas/InventoryMaintenanceResource'
          readOnly: true
      required:
        - comment
        - end_total_distance
        - fact_maintenance_date
        - id
        - inventory
        - maintenance_date
        - name
        - resources
        - responsible
    CarInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        car:
          allOf:
            - $ref: '#/components/schemas/InventoryCar'
          readOnly: true
      required:
        - car
        - id
        - name
        - subleases
    Type56bEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Разовое
        * `1` - Периодическое
    PeriodTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - По интервалу
        * `1` - По пробегу
    NullEnum:
      enum:
        - null
    InventoryMaintenanceResource:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        maintenance:
          type: integer
          readOnly: true
        resource:
          type: integer
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
      required:
        - id
        - maintenance
        - resource
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    InventoryCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        type:
          $ref: '#/components/schemas/Type839Enum'
        brand:
          type: string
          nullable: true
          maxLength: 255
        model:
          type: string
          nullable: true
          maxLength: 255
        number:
          type: string
          nullable: true
          maxLength: 255
        tech_passport:
          type: string
          nullable: true
          maxLength: 255
        serial:
          type: string
          nullable: true
          maxLength: 255
        vin:
          type: string
          nullable: true
          maxLength: 18
        extra: {}
      required:
        - id
    Type839Enum:
      enum:
        - CAR
        - SCOOTER
        - MOTORCYCLE
      type: string
      description: |-
        * `CAR` - Автомобиль
        * `SCOOTER` - Электросамокат
        * `MOTORCYCLE` - Мотоцикл/Мопед
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````